# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define         docfiles              COPYING README

Name:           wmbutton
Version:        0.7.1
Release:        alt1_4
Summary:        A very configurable dockapp for launching any program
License:        GPLv2
Group:          System/X11

URL:            http://greek0.net/~greek0/wmbutton.html
#URL2           http://repo.or.cz/w/dockapps.git
Source0:        http://greek0.net/~greek0/wmbutton/%{name}-%{version}.tar.gz


#Update default config file with mageia applications
Patch0:         %{name}-0.7.1-configfile.patch

BuildRequires:  ctags
BuildRequires:  glibc-devel
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)

#To make the default configuration working
Requires:       firefox
Requires:       xterm
Requires:       pidgin
Requires:       LibreOffice
Requires:       gnuplot
Requires:       emacs
Requires:       gimp
Requires:       gv
Requires:       audacious
Source44: import.info


%description
Wmbutton is a very efficient graphical launcher dockapp for
WindowMaker, or any window manager and desktop environment that
handles dock applications. It displays nine small icons which can be
clicked on with any of the three mouse buttons to start your favorite
programs. All possible actions are specified in an easy-to-understand
configuration file ".wmbutton", assumed to reside in your home
directory, and allowing for 27 different applications to be started
(one per mouse button and icon). The default configuration is
specified in %{_sysconfdir}/%{name}.conf.



%prep
%setup -q
%patch0 -p1



%build
autoreconf -fi
%configure
%make_build


%install

install -D -m 755 %{name} %{buildroot}%{_bindir}/%{name}
install -D -m 644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1
install -D -m 644 wmbutton.conf %{buildroot}%{_datadir}/%{name}/sample.wmbutton
install -D -m 644 wmbutton.conf %{buildroot}%{_sysconfdir}/%{name}.conf
install -D -m 644 wmbutton.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
install -D -m 644 icons/*.xpm %{buildroot}%{_datadir}/%{name}

%files
%doc %{docfiles}
%{_bindir}/wmbutton
%dir %{_datadir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_datadir}/%{name}/sample.wmbutton
%{_datadir}/%{name}/*.xpm
%{_datadir}/applications/*.desktop
%{_mandir}/man1/%{name}.1*




%changelog
* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 0.7.1-alt1_4
- update by mgaimport

* Sat Apr 11 2020 Igor Vlasenko <viy@altlinux.ru> 0.7.1-alt1_3
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.7.1-alt1_2
- update by mgaimport

* Sat Jul 14 2018 Igor Vlasenko <viy@altlinux.ru> 0.7.1-alt1_1
- update by mgaimport

* Fri Mar 23 2018 Igor Vlasenko <viy@altlinux.ru> 0.7.0-alt1_10
- new version

